> ## Documentation Index
> Fetch the complete documentation index at: https://gns3util.saygex.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Stream file upload

> Uploads file content with resumable upload support via Content-Range header



## OpenAPI

````yaml /api-reference/gns3util-filestore-api-docs.json put /api/v1/files/{file_uuid}/content
openapi: 3.0.0
info:
  description: API for gns3util distributed file storage
  title: gns3util cluster filestore API
  contact: {}
  version: '1.0'
servers: []
security: []
paths:
  /api/v1/files/{file_uuid}/content:
    put:
      tags:
        - files
      summary: Stream file upload
      description: >-
        Uploads file content with resumable upload support via Content-Range
        header
      parameters:
        - description: File UUID from initialization
          name: file_uuid
          in: path
          required: true
          schema:
            type: string
        - description: byte range for resumable upload
          name: Content-Range
          in: header
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.FinalizeUploadResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helpers.APIErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helpers.APIErrorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helpers.APIErrorResponse'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helpers.APIErrorResponse'
        '409':
          description: Conflict
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helpers.APIErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helpers.APIErrorResponse'
      security:
        - BearerAuth: []
components:
  schemas:
    models.FinalizeUploadResponse:
      type: object
      properties:
        blob_sha256:
          type: string
        file_uuid:
          type: string
        size_bytes:
          type: integer
        status:
          $ref: '#/components/schemas/models.FileStatus'
    helpers.APIErrorResponse:
      type: object
      properties:
        code:
          type: string
          example: unauthorized
        details:
          type: string
          example: invalid or missing join token
        error:
          type: string
          example: Unauthorized
    models.FileStatus:
      type: string
      enum:
        - pending
        - uploading
        - available
        - tombstoned
        - deleted
      x-enum-varnames:
        - FileStatusPending
        - FileStatusUploading
        - FileStatusAvailable
        - FileStatusTombstoned
        - FileStatusDeleted
  securitySchemes:
    BearerAuth:
      description: Type "Bearer" followed by a space and JWT token.
      type: apiKey
      name: Authorization
      in: header

````